Subject: bug#28502: 25.3; list-packages ends with "error in process filter: End of file during parsing"

From: Alex Branham <[email-masked]>
Date: Wed, 27 Sep 2017 09:06:43 -0500

Thanks for the replies.

After nuking ~/.emacs.d/elpa, the problem went away and hasn't recurred.
Perhaps there should be some sort of package-force-archive-refresh
function to force overwriting the archive contents?

Alex

On Wed 27 Sep 2017 at 13:43, Michael Heerdegen <[email-masked]> wrote:

> Noam Postavsky <[email-masked]> writes:
>
>> tags 28502 + unreproducible moreinfo
>
> AFAIR I also saw this once.  Then I deleted
>
>   "~/.emacs.d/elpa/archives/melpa/archive-contents"
>
> (this was on July 24th), and the problem was gone.
>
> FWIW I have the deleted file still on my hard disc.  No fun to visit it
> with Emacs however since it's one of these one-huge-line-only files.  At
> least, `read' on position 1 succeeds, so I'm not sure what the problem
> was with it.
>
>
> Michael.